<p class="{{ 'weight--bold u-mt u-mb-0'|prefixClass }}" id="statementMapReference">
    {{ "statement.map.reference"|trans }}<span aria-hidden="true">*</span>
</p>
<fieldset class="{{ 'toggle-group-location block'|prefixClass }}" role="radiogroup" aria-labelledby="statementMapReference" aria-required="true" id="locationFieldset">
    {% if hasPermission('field_statement_location') %}
        <div class="{{ ('c-statement__formblock layout__item u-1-of-1-palm height-90 height-auto-lap-down ' ~ (loggedin ? 'u-1-of-3' : 'u-3-of-10'))|prefixClass }}" data-toggle-id="locationCountryOrga">

            <label for="locationCountryOrga" class="{{ 'u-mb-0_5 weight--normal'|prefixClass }}">
                <input
                    type="radio"
                    class="{{ 'js__toggleAnything'|prefixClass }}"
                    data-toggle="#locationCountryOrga"
                    data-toggle-property="{{ '.is-visible'|prefixClass }}"
                    data-toggle-container="{{ '.toggle-group-location'|prefixClass }}"
                    data-toggle-exclusive
                    id="locationCountryOrga"
                    name="r_location"
                    value="countryorga"
                    required
                > {{ "statement.map.reference.choose_county"|trans }}
            </label>

            <label class="{{ ' u-mh-0_75 u-mb-0_5'|prefixClass }}">
                <select class="{{ 'layout__item'|prefixClass }}" name="r_county" aria-label="{{ 'counties'|trans }}">
                    <option value="">---</option>
                    {% for county in templateVars.counties|default([]) %}
                        <option value="{{ county.id }}" {% if county.id == templateVars.draftStatement.statementAttributes.county|default() %}selected{% endif %}>{{ county.name }}</option>
                    {% endfor %}
                </select>
            </label>

        </div>
    {% endif %}

    <div class="{{ ('c-statement__formblock layout__item u-1-of-1-palm height-90 height-auto-lap-down ' ~ (loggedin ? 'u-1-of-3' : 'u-2-of-10'))|prefixClass }}" data-toggle-id="locationNotLocated">

        <label for="locationNotLocated" class="{{ 'u-mb-0 weight--normal'|prefixClass }}">
            <input
                type="radio"
                class="{{ 'js__toggleAnything'|prefixClass }}"
                data-toggle="#locationNotLocated"
                data-toggle-property="{{ '.is-visible'|prefixClass }}"
                data-toggle-container="{{ '.toggle-group-location'|prefixClass }}"
                data-toggle-exclusive
                id="locationNotLocated"
                name="r_location"
                value="notLocated"
                required
                data-cy="notLocated"> {{ "statement.map.no_reference"|trans }}
        </label>
    </div>
</fieldset>
